image: 'tmaier/docker-compose:latest'
variables:
    PYTHON_BASE_IMAGE: 'python:3.8.4-slim'

stages:
    - test
    - build

pytest:
    image: $PYTHON_BASE_IMAGE
    stage: test
    script:
        - 'python -m pip install --upgrade pip'
        - 'python -m pip install -r requirements.txt'
        - 'python -m pip install pytest'
        - 'python -m pytest test'

extract_data:
    image: $PYTHON_BASE_IMAGE
    stage: build
    tags:
        - staging-l5
    script:
        - 'python -m pip install --upgrade pip'
        - 'python -m pip install -r requirements.txt'
        - 'python script.py --input-file ./test-data/TravelogueD16_ALMAoutput_20200720.xlsx --ac-column Datensatznummer --stop 10 --output-file ./test-output/test-output.xlsx --log-file ./test-output/log.xlsx --deep-log-file test-output/deeplog.json'
    artifacts:
        paths:
            - 'travelogues_extraction/script/output/'
